<template>
  <section class="case-banner">
    <h1 class="case-banner__title">{{ title }}</h1>
    <p class="case-banner__description">{{ description }}</p>
    <div class="case-banner__mockups">
      <DesktopMockup class="case-banner__mockup-desktop" :croppedContent="true">
        <template #gradient>
          <span class="gradient"></span>
          <span class="gradient"></span>
          <span class="gradient"></span>
        </template>
        <template #content>
          <img :src="desktopImage" :alt="title" />
        </template>
      </DesktopMockup>
      <MobileMockup class="case-banner__mockup-mobile" :croppedContent="true">
        <template #gradient>
          <span class="gradient"></span>
          <span class="gradient"></span>
          <span class="gradient"></span>
        </template>
        <template #content>
          <img :src="mobileImage" :alt="title" />
        </template>
      </MobileMockup>
    </div>
  </section>
</template>

<script>
import DesktopMockup from '@/components/shared/DesktopMockup'
import MobileMockup from '@/components/shared/MobileMockup'
export default {
  name: 'CaseTopBanner',
  props: {
    title: {
      type: String,
      required: true
    },
    description: {
      type: String,
      required: true
    },
    desktopImage: {
      type: String,
      required: true
    },
    mobileImage: {
      type: String,
      required: true
    }
  },
  components: {
    DesktopMockup,
    MobileMockup
  }
}
</script>
